Docs
Update Crew Type Section Attribute
PUT /crew/types/{typeId}/sections/{sectionId}/attributes/{crewAttributeId}
PUT
/crew/types/{typeId}/sections/{sectionId}/attributes/{crewAttributeId}Changes a placed attribute's required, crew-visible and crew-editable flags and its position in the section. crewAttributeId is the placement's crewAttributeId from Crew_GetCrewType. Requires EventAdmin.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| typeId | uuid | Required | |
| sectionId | uuid | Required | |
| crewAttributeId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| isRequired | boolean | Optional | |
| isCrewVisible | boolean | Optional | |
| isCrewEditable | boolean | Optional | |
| index | integer | Optional |